package xyz.mcutils.models.mojang;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.ToString;
import xyz.mcutils.models.CachedResponse;

import java.util.Map;

@AllArgsConstructor
@Getter @ToString
public class CachedMojangEndpointStatus extends CachedResponse {

    /**
     * The list of endpoints and their status.
     */
    private Map<String, Status> endpoints;

    public enum Status {
        /**
         * The service is online and operational.
         */
        ONLINE,

        /**
         * The service is online, but may be experiencing issues.
         * This could be due to high load or other issues.
         */
        DEGRADED,

        /**
         * The service is offline and not operational.
         */
        OFFLINE
    }
}